# Serialisierte Form

## Package org.eclipse.net4j.channel

### Ausnahmeklasse org.eclipse.net4j.channel.ChannelException

class ChannelException extends RuntimeException implements Serializable

serialVersionUID:
  1L

## Package org.eclipse.net4j.connector

### Ausnahmeklasse org.eclipse.net4j.connector.ConnectorException

class ConnectorException extends RuntimeException implements Serializable

serialVersionUID:
  1L

## Package org.eclipse.net4j.protocol

### Ausnahmeklasse org.eclipse.net4j.protocol.ProtocolVersionException

class ProtocolVersionException extends IllegalStateException implements Serializable

serialVersionUID:
  1L

## Package org.eclipse.net4j.signal

### Ausnahmeklasse org.eclipse.net4j.signal.RemoteException

class RemoteException extends org.eclipse.net4j.util.io.RemoteException implements Serializable

serialVersionUID:
  1L

#### Serialisierte Felder

##### localStackTrace

    StackTraceElement[] localStackTrace

##### whileResponding

    boolean whileResponding

### Klasse org.eclipse.net4j.signal.SignalFinishedEvent

class SignalFinishedEvent extends org.eclipse.net4j.util.event.Event implements Serializable

serialVersionUID:
  1L

#### Serialisierte Felder

##### duration

    long duration

##### exception

    Exception exception

##### signal

    Signal signal

### Ausnahmeklasse org.eclipse.net4j.signal.SignalProtocol.InvalidSignalIDException

class InvalidSignalIDException extends IllegalArgumentException implements Serializable

serialVersionUID:
  1L

#### Serialisierte Felder

##### signalID

    short signalID

### Klasse org.eclipse.net4j.signal.SignalProtocol.TimeoutChangedEvent

class TimeoutChangedEvent extends org.eclipse.net4j.util.event.Event implements Serializable

serialVersionUID:
  1L

#### Serialisierte Felder

##### newTimeout

    long newTimeout

##### oldTimeout

    long oldTimeout

### Klasse org.eclipse.net4j.signal.SignalScheduledEvent

class SignalScheduledEvent extends org.eclipse.net4j.util.event.Event implements Serializable

serialVersionUID:
  1L

#### Serialisierte Felder

##### signal

    Signal signal

## Package org.eclipse.net4j.ws.jetty

### Klasse org.eclipse.net4j.ws.jetty.Net4jWebSocketServlet

class Net4jWebSocketServlet extends org.eclipse.jetty.ee8.websocket.server.JettyWebSocketServlet implements Serializable

serialVersionUID:
  1L

## Package org.eclipse.spi.net4j

### Klasse org.eclipse.spi.net4j.Channel.SendQueue

class SendQueue extends ConcurrentLinkedQueue<IBuffer> implements Serializable

serialVersionUID:
  1L

#### Serialisierte Felder

##### size

    AtomicInteger size

### Klasse org.eclipse.spi.net4j.Protocol.InfraStructureChangedEvent

class InfraStructureChangedEvent extends org.eclipse.net4j.util.event.Event implements Serializable

serialVersionUID:
  1L

#### Serialisierte Felder

##### newInfraStructure

    INFRA_STRUCTURE newInfraStructure

##### oldInfraStructure

    INFRA_STRUCTURE oldInfraStructure